## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgeom/math.h File Reference

Generic mathematic utility functions. More...

Go to the source code of this file.

## Functions

template<class T>
T | csClamp (const T &a, T max, T min)
| Clamp a between max and min.
template<class T>
const T & | csMax (const T &a, const T &b)
| Returns bigger of a and b.
template<class T>
const T & | csMin (const T &a, const T &b)
| Returns smaller of a and b.
template<class T>
T | csSmoothStep (const T &a, T max, T min)
| Preforms a smooth interpolation of a on range min to max.
template<class T>
T | csSquare (const T &x)
| Returns the square of the argument.

## Detailed Description

Generic mathematic utility functions.

Definition in file math.h.